TRUECRACK(3.5)

NAME
TrueCrack - Brute-force password cracker for TrueCrypt (Copyrigth) volumes.

SYNOPSIS
truecrack -t truecrypt_file -w passwords_file [OPTION...]
truecrack -t truecrypt_file -c alphabet [OPTION...]

DESCRIPTION
TrueCrack is a brute-force password cracker for TrueCrypt (Copyrigth) volumes. It works on Linux and it is optimized for Nvidia Cuda technology.

It supports:
 - PBKDF2 (defined in PKCS5 v2.0) based on key derivation functions: Ripemd160, Sha512 and Whirlpool.
 - XTS block cipher mode for hard disk encryption based on encryption algorithms: AES, SERPENT, TWOFISH.
 - File-hosted (container) and Partition/device-hosted.
 - Hidden volumes and Backup headers.

TrueCrack is able to perform a brute-force attack based on:
 - Dictionary: read the passwords from a file of words.
 - Alphabet: generate all passwords of given length from given alphabet.

TrueCrack works on gpu and cpu. TrueCrack requires a lots of resources: we suggest a dedicated gpu board.

OPTIONS

-h, --help
    Display help information

-k, --key ripemd160 | sha512 | whirlpool
    Key derivation function (default ripemd160).

-e, --encryption aes | serpent | twofish
    Encryption algorithm (default aes)

-a, --aggressive blocks
    Number of parallel computations (board dependent).

-m, --maxlength maxlength
    Maximum length of passwords, for Alphabet attack.

-s, --startlength startlength
    Starting length of passwords, for Alphabet attack (default 1).

-r, --restore number
    Restore the computation.

-b, --backup
    Backup header instead of volume header.

-H, --hidden
    Hidden Truecrypt volume.

-v, --verbose
    Show verbose messages.

LICENSE
TrueCrack is an Open Source Software under GNU Public License version 3. This software is Based on TrueCrypt, freely available at http://www.truecrypt.org/ Contact the author: Luca Vaccaro <luck87@gmail.com>